ion-grid {
  padding: var(--spacing-small) 0;
}

button {
  background: unset;
  color: unset;
}

* {
  color: var(--Main-Foreground);
}

.secondary-color,
.secondary-color * {
  color: var(--Secondary-Foreground);
}

ion-content {
  position: relative;
  height: 100vh;
  --padding-start: var(--spacing-minor);
  --padding-end: var(--spacing-minor);
  --padding-bottom: var(--spacing-medium);
  --padding-top: var(--spacing-medium);
  box-sizing: border-box;
}

.module-header {
  font-size: 1rem;
  font-weight: 600;
}

.sub-header {
  color: var(--Secondary-Foreground, rgba(0, 0, 0, 0.6));
  font-size: 0.9375rem;
}

.image-sub-content {
  padding: 0 0.3125rem;
}

.image-description {
  overflow: hidden;
  text-overflow: ellipsis;
  color: var(--Main-Foreground, rgba(0, 0, 0, 0.85));
  font-size: 1rem;
  font-weight: 400;
  hyphens: auto;
}

.image-copyright-holder {
  overflow: hidden;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  align-self: stretch;
  color: var(--Secondary-Foreground);
  font-size: 0.9375rem;
  font-weight: 400;
}

.rounded-image {
  width: 100%;
  height: auto;
  object-fit: cover;
  overflow: hidden;
  background-color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.065);
  border-radius: var(--card-corner-radius);
}

.image-source {
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  align-self: stretch;
  font-size: 0.9375rem;
  font-weight: 400;
}

.content-text {
  font-size: var(--text-size-body);
  font-weight: 400;
  hyphens: auto;
}

.source {
  font-size: 0.9375rem;
}

.more-section {
  text-align: center;
  font-size: 1.5rem;
  font-weight: 600;
}
